# Uses of Class
org.eclipse.draw2d.LightweightSystem

Packages that use LightweightSystem
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.

## Uses of LightweightSystem in org.eclipse.draw2d

Methods in org.eclipse.draw2d that return LightweightSystem
Modifier and Type
Method
Description
`protected LightweightSystem`
PopUpHelper.`createLightweightSystem()`
Creates and returns the LightweightSystem object used by PopUpHelper to draw upon.
`LightweightSystem`
FigureCanvas.`getLightweightSystem()`
`protected LightweightSystem`
PopUpHelper.`getLightweightSystem()`
Returns this PopUpHelper's LightweightSystem.
Constructors in org.eclipse.draw2d with parameters of type LightweightSystem
Modifier
Constructor
Description
``
`FigureCanvas(int style, Composite parent, LightweightSystem lws)`
Constructor taking a lightweight system and SWT style, which is used verbatim.
``
`FigureCanvas(Composite parent, int style, LightweightSystem lws)`
Constructor
``
`FigureCanvas(Composite parent, LightweightSystem lws)`
Constructs a new FigureCanvas with the given parent and LightweightSystem, using the `FigureCanvas.DEFAULT_STYLES`.